petsc-3.4.2 2013-07-02

# TSType

String with the name of a PETSc TS method.

### Synopsis

    typedef const char* TSType;
    #define TSEULER           "euler"
    #define TSBEULER          "beuler"
    #define TSPSEUDO          "pseudo"
    #define TSCN              "cn"
    #define TSSUNDIALS        "sundials"
    #define TSRK              "rk"
    #define TSPYTHON          "python"
    #define TSTHETA           "theta"
    #define TSALPHA           "alpha"
    #define TSGL              "gl"
    #define TSSSP             "ssp"
    #define TSARKIMEX         "arkimex"
    #define TSROSW            "rosw"
    #define TSEIMEX           "eimex"
    /*E
        TSProblemType - Determines the type of problem this TS object is to be used to solve

### See Also

TSSetType(), TS, TSRegister()

Level:beginner
Location:src/ts/adapt/../../../include/petscts.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages